Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class GuiEnchantment

    java.lang.Object
      net.minecraft.src.Gui
          net.minecraft.src.GuiScreen
              net.minecraft.src.GuiContainer
                  net.minecraft.src.GuiEnchantment

    public class GuiEnchantment

extends GuiContainer

Field Summary
`float` | `field_74208_u`
`float` | `field_74209_t`
`float` | `field_74210_s`
`float` | `field_74211_r`
`float` | `field_74212_q`
`float` | `field_74213_p`
`int` | `field_74214_o`

Fields inherited from class net.minecraft.src.GuiContainer
`inventorySlots`

Fields inherited from class net.minecraft.src.GuiScreen
`allowUserInput, field_90017_e, guiParticles, height, width`

Constructor Summary
`GuiEnchantment(InventoryPlayer par1InventoryPlayer, World par2World, int par3, int par4, int par5)`

Method Summary
`void` | `func_74205_h()`
`void` | `updateScreen()` Called from the main game loop to update the screen.

Methods inherited from class net.minecraft.src.GuiContainer
`doesGuiPauseGame, drawScreen, initGui, onGuiClosed`

Methods inherited from class net.minecraft.src.GuiScreen
`confirmClicked, drawBackground, drawDefaultBackground, drawWorldBackground, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, setClipboardString, setWorldAndResolution`

Methods inherited from class net.minecraft.src.Gui
`drawCenteredString, drawRect, drawString, drawTexturedModalRect`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### field_74214_o

    public int field_74214_o

### field_74213_p

    public float field_74213_p

### field_74212_q

    public float field_74212_q

### field_74211_r

    public float field_74211_r

### field_74210_s

    public float field_74210_s

### field_74209_t

    public float field_74209_t

### field_74208_u

    public float field_74208_u

Constructor Detail

### GuiEnchantment

    public GuiEnchantment(InventoryPlayer par1InventoryPlayer,
                          World par2World,
                          int par3,
                          int par4,
                          int par5)

Method Detail

### updateScreen

    public void updateScreen()

  Called from the main game loop to update the screen.

  Overrides:
    `updateScreen` in class `GuiContainer`

### func_74205_h

    public void func_74205_h()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD